> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/objects/ticket-log.md).

# Ticket Log

#### **Example**

```json
{
    "data": [
        {
            "actionString": "changed the status from \"Open\" to \"Pending\"",
            "actionType": "ticket_status_changed",
            "includedItems": {
                "categories": [],
                "tags": [],
                "users": []
            },
            "time": "2023-12-13T22:11:52.9031351+00:00",
            "user": {
                "customIdentifier": null,
                "email": "wandmaster@olivanders.com",
                "id": "841c30d5-6ae4-4df1-939e-04c55aed5e98",
                "image": null,
                "isBot": false,
                "name": "Garrick Ollivander",
                "status": "team"
            }
        },
        {
            "actionString": "sent a reply",
            "actionType": "reply_created",
            "includedItems": {
                "categories": [],
                "tags": [],
                "users": []
            },
            "time": "2023-12-13T22:11:52.7825391+00:00",
            "user": {
                "customIdentifier": null,
                "email": "wandmaster@olivanders.com",
                "id": "841c30d5-6ae4-4df1-939e-04c55aed5e98",
                "image": null,
                "isBot": false,
                "name": "Garrick Ollivander",
                "status": "team"
            }
        },
        {
            "actionString": "changed ticket assignee to {User:841c30d5-6ae4-4df1-939e-04c55aed5e98}",
            "actionType": "ticket_assigned_to_user",
            "includedItems": {
                "categories": [],
                "tags": [],
                "users": [
                    {
                        "email": "wandmaster@olivanders.com",
                        "id": "841c30d5-6ae4-4df1-939e-04c55aed5e98",
                        "image": null,
                        "isBot": false,
                        "name": "Garrick Ollivander",
                        "status": "team"
                    }
                ]
            },
            "time": "2023-12-13T22:11:39.031395+00:00",
            "user": {
                "customIdentifier": null,
                "email": "wandmaster@olivanders.com",
                "id": "841c30d5-6ae4-4df1-939e-04c55aed5e98",
                "image": null,
                "isBot": false,
                "name": "Garrick Ollivander",
                "status": "team"
            }
        },
        {
            "actionString": "read the ticket",
            "actionType": "ticket_read",
            "includedItems": {
                "categories": [],
                "tags": [],
                "users": []
            },
            "time": "2023-12-13T22:01:32.3169513+00:00",
            "user": {
                "customIdentifier": null,
                "email": "wandmaster@olivanders.com",
                "id": "841c30d5-6ae4-4df1-939e-04c55aed5e98",
                "image": null,
                "isBot": false,
                "name": "Garrick Ollivander",
                "status": "team"
            }
        },
        {
            "actionString": "created the ticket",
            "actionType": "ticket_created",
            "includedItems": {
                "categories": [],
                "tags": [],
                "users": []
            },
            "time": "2023-08-03T20:39:35.01+03:00",
            "user": {
                "customIdentifier": null,
                "email": "harrypotter@wizardmail.com",
                "id": "4c115b95-7b5e-42d6-bef8-f58d96c9615d",
                "image": null,
                "isBot": false,
                "name": "Harry Potter",
                "status": "client"
            }
        }
    ],
    "errorCode": -1,
    "errorText": null
}
```

#### Fields

| Field         | Type                                                                                                       | Comments                                                                                                                 |
| ------------- | ---------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| actionString  | string                                                                                                     | Action log content                                                                                                       |
| actionType    | [ActionType](/docs/apis/tickets/reference/enumerations/ticket-action-type.md) enumeration                  | Action log type                                                                                                          |
| includedItems | [Ticket Action Included Items](/docs/apis/tickets/reference/objects/ticket-action-included-items.md) model | Represents additional details related to action log item. It is used to display extended information about the log event |
| time          | string                                                                                                     | Indicates the time when the ticket log element was created. Represent datetime string in ISO 8601 format                 |
| user          | [User](/docs/apis/tickets/reference/objects/user.md) model                                                 | Represents a user who performed an action that resulted in creating a log record                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/objects/ticket-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
